Bug 1480618 - (CVE-2017-7674) CVE-2017-7674 tomcat: Vary header not added by CORS filter leading to cache poisoning
CVE-2017-7674 tomcat: Vary header not added by CORS filter leading to cache p...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170810,repor...
: Security
Depends On: 1480619 1480620 1480621
Blocks: 1480628
  Show dependency treegraph
 
Reported: 2017-08-11 09:58 EDT by Adam Mariš
Modified: 2017-09-20 17:59 EDT (History)
63 users (show)

See Also:
Fixed In Version: tomcat 7.0.79, tomcat 8.0.45, tomcat 8.5.16
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-11 09:58:56 EDT
The CORS Filter did not add an HTTP Vary header indicating that the response varies depending on Origin. This permitted client and server side cache poisoning in some circumstances.

Affected versions: 7.0.41 to 7.0.78, 8.0.0.RC1 to 8.0.44, 8.5.0 to 8.5.15

Upstream patches:

Tomcat 7: https://svn.apache.org/viewvc?view=revision&revision=1795816
Tomcat 8.0.x: https://svn.apache.org/viewvc?view=revision&revision=1795815
Tomcat 8.5.x: https://svn.apache.org/viewvc?view=revision&revision=1795814

External References:

https://tomcat.apache.org/security-7.html
https://tomcat.apache.org/security-8.html
Comment 1 Adam Mariš 2017-08-11 10:00:32 EDT
Created jbossweb tracking bugs for this issue:

Affects: openshift-1 [bug 1480619]


Created tomcat tracking bugs for this issue:

Affects: epel-6 [bug 1480621]
Affects: fedora-all [bug 1480620]
Comment 3 Jason Shepherd 2017-08-21 21:46:40 EDT
EAP 6 doesn't not contain the vulnerable CORSFilter. Any products based on EAP 6 would not be affected, unless they add the CORSFilter in their layered code.

Marking JON-3 as NOTAFFECTED

Note You need to log in before you can comment on or make changes to this bug.